Overview | Modules | Class Hierarchy | Classes | Members

# tlp::InteractorSelectionModifier Class Reference

`#include <GlMainViewInteractor.h>`

Inherits tlp::NodeLinkDiagramComponentInteractor.

Inheritance diagram for tlp::InteractorSelectionModifier:

[legend]
Collaboration diagram for tlp::InteractorSelectionModifier:

[legend]
List of all members.

## Detailed Description

Tulip interactor to move/reshape.

## Public Member Functions

- InteractorSelectionModifier ()
- void construct ()

## Constructor & Destructor Documentation

tlp::InteractorSelectionModifier::InteractorSelectionModifier | ( |  | ) |

| Default constructor

## Member Function Documentation

void tlp::InteractorSelectionModifier::construct | ( |  | ) | `[virtual]`

| Construct chain of responsibility Reimplemented from tlp::InteractorChainOfResponsibility.

Tulip Software by LaBRI Visualization Team 2001 - 2010